//EAN_47a funcao
#include <conio.h>
#include <cmath>
#include <iostream>
using namespace std;

void lancar_notas(float vetor[], int dim);
float media_notas(float vetor[], int dim);
float desvio_pad(float vetor[], int dim, float media);

int main()
{
	int tam;
	cout << "*** Calculo da Media usando Vetor ***";
	cout << endl << endl;
	cout << "Qtd. de notas a lancar = ";
	cin >> tam;
	float v1[tam], v2[tam], v3[tam], med1, med2, med3;
	cout << endl << endl;
	
    cout << "Lancar dados do vetor 1";
    cout << endl;
	lancar_notas(v1, tam); // funao void
    cout << endl;
    
	cout << "Lancar dados do vetor 2";
    cout << endl;
    lancar_notas(v2, tam); // funao void
    cout << endl;
	
	cout << "Lancar dados do vetor 3";
    cout << endl;
    lancar_notas(v3, tam); // funao void
	cout << endl << endl;

	med1 = media_notas(v1, tam); // funao com retorno de valores
	med2 = media_notas(v2, tam); // funao com retorno de valores
	med3 = media_notas(v3, tam); // funao com retorno de valores

	cout << "Media 1 = " << med1;
	cout << endl << endl;
	cout << "Media 2 = " << med2;
	cout << endl << endl;
	cout << "Media 3 = " << med3;

    p12 = pearson(v1, v2, tam, med1, med2);
    p13 = pearson(v1, v3, tam, med1, med3);
    p23 = pearson(v2, v3, tam, med2, med3);

    cout << endl << endl;
	cout << "Pearson 1 -> 2 = " << p12;
	cout << endl << endl;
	cout << "Pearson 1 -> 3 = " << dp13;
	cout << endl << endl;
	cout << "Pearson 2 -> 3 = " << dp23;
}


void lancar_notas(float vetor[], int dim)
{
	for (int i=0; i<dim;i++)
	{
		cout << i+1 << "a. nota = ";
		cin >> vetor[i];
	}
}

float media_notas(float vetor[], int dim)
{
	float z=0.00;
	for (int i=0;i<dim;i++)
	{
		z = z + vetor[i];
	}
	z = z / dim;
	return (z);
}

float pearson(float vetor1[], float vetor2[], int dim, float media1, float media2)
{
	float p, p1=0.00, p2=0.00, p3=0.00;
	for (int i=0;i<dim;i++)
	{
		p1 = p1 + ((vetor1[i]-media1) * (vetor2[i]-media2));
		p2 = p2 + pow((vetor1[i]-media1),2);
		p3 = p3 + pow((vetor2[i]-media2),2);
	}
	p = p1 / (sqrt(p2)*sqrt(p3));
	return (p);
}


